Collection (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class Collection

    java.lang.Object
      org.hibernate.mapping.Collection

All Implemented Interfaces:
  Serializable, Fetchable, Filterable, Value

Direct Known Subclasses:
  Bag, IdentifierCollection, IndexedCollection, Set

    public abstract class Collection

extends Object
implements Fetchable, Value, Filterable

Mapping for a collection. Subclasses specialize to particular collection styles.

See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_ELEMENT_COLUMN_NAME`
`static String` | `DEFAULT_KEY_COLUMN_NAME`

Constructor Summary
`protected` | `Collection(Mappings mappings, PersistentClass owner)`

Method Summary
`void` | `addFilter(String name, String condition)`
`void` | `addManyToManyFilter(String name, String condition)`
`void` | `createAllKeys()`
`void` | `createForeignKey()`
`int` | `getBatchSize()`
`String` | `getCacheConcurrencyStrategy()`
`String` | `getCacheRegionName()`
`Class` | `getCollectionPersisterClass()`
`Table` | `getCollectionTable()`
`CollectionType` | `getCollectionType()`
`boolean[]` | `getColumnInsertability()`
`Iterator` | `getColumnIterator()`
`int` | `getColumnSpan()`
`boolean[]` | `getColumnUpdateability()`
`Comparator` | `getComparator()`
`String` | `getComparatorClassName()`
`String` | `getCustomSQLDelete()`
`String` | `getCustomSQLDeleteAll()`
`ExecuteUpdateResultCheckStyle` | `getCustomSQLDeleteAllCheckStyle()`
`ExecuteUpdateResultCheckStyle` | `getCustomSQLDeleteCheckStyle()`
`String` | `getCustomSQLInsert()`
`ExecuteUpdateResultCheckStyle` | `getCustomSQLInsertCheckStyle()`
`String` | `getCustomSQLUpdate()`
`ExecuteUpdateResultCheckStyle` | `getCustomSQLUpdateCheckStyle()`
`abstract CollectionType` | `getDefaultCollectionType()`
`Value` | `getElement()`
`String` | `getElementNodeName()`
`FetchMode` | `getFetchMode()`
`Map` | `getFilterMap()`
`KeyValue` | `getKey()`
`String` | `getLoaderName()`
`Map` | `getManyToManyFilterMap()`
`String` | `getManyToManyOrdering()`
`String` | `getManyToManyWhere()`
`Mappings` | `getMappings()`
`String` | `getNodeName()`
`String` | `getOrderBy()`
`PersistentClass` | `getOwner()`
`String` | `getOwnerEntityName()`
`String` | `getReferencedPropertyName()`
`String` | `getRole()`
`Set` | `getSynchronizedTables()`
`Table` | `getTable()`
`Type` | `getType()`
`String` | `getTypeName()`
`Properties` | `getTypeParameters()`
`String` | `getWhere()`
`boolean` | `hasFormula()`
`boolean` | `hasOrder()`
`boolean` | `hasOrphanDelete()`
`boolean` | `isAlternateUniqueKey()`
`boolean` | `isArray()`
`boolean` | `isCustomDeleteAllCallable()`
`boolean` | `isCustomDeleteCallable()`
`boolean` | `isCustomInsertCallable()`
`boolean` | `isCustomUpdateCallable()`
`boolean` | `isEmbedded()`
`boolean` | `isExtraLazy()`
`boolean` | `isIdentified()`
`boolean` | `isIndexed()`
`boolean` | `isInverse()`
`boolean` | `isLazy()`
`boolean` | `isMap()`
`boolean` | `isMutable()`
`boolean` | `isNullable()`
`boolean` | `isOneToMany()`
`boolean` | `isOptimisticLocked()`
`boolean` | `isPrimitiveArray()`
`boolean` | `isSet()`
`boolean` | `isSimpleValue()`
`boolean` | `isSorted()`
`boolean` | `isSubselectLoadable()`
`boolean` | `isValid(Mapping mapping)`
`void` | `setBatchSize(int i)`
`void` | `setCacheConcurrencyStrategy(String cacheConcurrencyStrategy)`
`void` | `setCacheRegionName(String cacheRegionName)`
`void` | `setCollectionPersisterClass(Class persister)`
`void` | `setCollectionTable(Table table)`
`void` | `setComparator(Comparator comparator)`
`void` | `setComparatorClassName(String comparatorClassName)`
`void` | `setCustomSQLDelete(String customSQLDelete, boolean callable, ExecuteUpdateResultCheckStyle checkStyle)`
`void` | `setCustomSQLDeleteAll(String customSQLDeleteAll, boolean callable, ExecuteUpdateResultCheckStyle checkStyle)`
`void` | `setCustomSQLInsert(String customSQLInsert, boolean callable, ExecuteUpdateResultCheckStyle checkStyle)`
`void` | `setCustomSQLUpdate(String customSQLUpdate, boolean callable, ExecuteUpdateResultCheckStyle checkStyle)`
`void` | `setElement(Value element)`
`void` | `setElementNodeName(String elementNodeName)`
`void` | `setEmbedded(boolean embedded)`
`void` | `setExtraLazy(boolean extraLazy)`
`void` | `setFetchMode(FetchMode fetchMode)`
`void` | `setInverse(boolean inverse)`
`void` | `setKey(KeyValue key)`
`void` | `setLazy(boolean lazy)`
`void` | `setLoaderName(String name)`
`void` | `setManyToManyOrdering(String orderFragment)`
`void` | `setManyToManyWhere(String manyToManyWhere)`
`void` | `setMutable(boolean mutable)`
`void` | `setNodeName(String nodeName)`
`void` | `setOptimisticLocked(boolean optimisticLocked)`
`void` | `setOrderBy(String orderBy)`
`void` | `setOrphanDelete(boolean orphanDelete)`
`void` | `setOwner(PersistentClass owner)` Deprecated. Inject the owner into constructor.
`void` | `setReferencedPropertyName(String propertyRef)`
`void` | `setRole(String role)`
`void` | `setSorted(boolean sorted)`
`void` | `setSubselectLoadable(boolean subqueryLoadable)`
`void` | `setTypeName(String typeName)`
`void` | `setTypeParameters(Properties parameterMap)`
`void` | `setTypeUsingReflection(String className, String propertyName)`
`void` | `setWhere(String where)`
`String` | `toString()`
`void` | `validate(Mapping mapping)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.mapping.Value
`accept`

Field Detail

### DEFAULT_ELEMENT_COLUMN_NAME

    public static final String DEFAULT_ELEMENT_COLUMN_NAME

See Also:
  Constant Field Values

### DEFAULT_KEY_COLUMN_NAME

    public static final String DEFAULT_KEY_COLUMN_NAME

See Also:
  Constant Field Values

Constructor Detail

### Collection

    protected Collection(Mappings mappings,
                         PersistentClass owner)

Method Detail

### getMappings

    public Mappings getMappings()

### isSet

    public boolean isSet()

### getKey

    public KeyValue getKey()

### getElement

    public Value getElement()

### isIndexed

    public boolean isIndexed()

### getCollectionTable

    public Table getCollectionTable()

### setCollectionTable

    public void setCollectionTable(Table table)

### isSorted

    public boolean isSorted()

### getComparator

    public Comparator getComparator()

### isLazy

    public boolean isLazy()

  Specified by:
    `isLazy` in interface `Fetchable`

### setLazy

    public void setLazy(boolean lazy)

  Specified by:
    `setLazy` in interface `Fetchable`

### getRole

    public String getRole()

### getDefaultCollectionType

    public abstract CollectionType getDefaultCollectionType()
                                                     throws MappingException

  Throws:
    `MappingException`

### isPrimitiveArray

    public boolean isPrimitiveArray()

### isArray

    public boolean isArray()

### hasFormula

    public boolean hasFormula()

  Specified by:
    `hasFormula` in interface `Value`

### isOneToMany

    public boolean isOneToMany()

### isInverse

    public boolean isInverse()

### getOwnerEntityName

    public String getOwnerEntityName()

### getOrderBy

    public String getOrderBy()

### setComparator

    public void setComparator(Comparator comparator)

### setElement

    public void setElement(Value element)

### setKey

    public void setKey(KeyValue key)

### setOrderBy

    public void setOrderBy(String orderBy)

### setRole

    public void setRole(String role)

### setSorted

    public void setSorted(boolean sorted)

### setInverse

    public void setInverse(boolean inverse)

### getOwner

    public PersistentClass getOwner()

### setOwner

    @Deprecated
    public void setOwner(PersistentClass owner)

  Deprecated. Inject the owner into constructor.

  Parameters:
    `owner` - The owner

### getWhere

    public String getWhere()

### setWhere

    public void setWhere(String where)

### getManyToManyWhere

    public String getManyToManyWhere()

### setManyToManyWhere

    public void setManyToManyWhere(String manyToManyWhere)

### getManyToManyOrdering

    public String getManyToManyOrdering()

### setManyToManyOrdering

    public void setManyToManyOrdering(String orderFragment)

### isIdentified

    public boolean isIdentified()

### hasOrphanDelete

    public boolean hasOrphanDelete()

### setOrphanDelete

    public void setOrphanDelete(boolean orphanDelete)

### getBatchSize

    public int getBatchSize()

### setBatchSize

    public void setBatchSize(int i)

### getFetchMode

    public FetchMode getFetchMode()

  Specified by:
    `getFetchMode` in interface `Fetchable`
  Specified by:
    `getFetchMode` in interface `Value`

### setFetchMode

    public void setFetchMode(FetchMode fetchMode)

  Specified by:
    `setFetchMode` in interface `Fetchable`

### setCollectionPersisterClass

    public void setCollectionPersisterClass(Class persister)

### getCollectionPersisterClass

    public Class getCollectionPersisterClass()

### validate

    public void validate(Mapping mapping)
                  throws MappingException

  Throws:
    `MappingException`

### getColumnIterator

    public Iterator getColumnIterator()

  Specified by:
    `getColumnIterator` in interface `Value`

### getColumnSpan

    public int getColumnSpan()

  Specified by:
    `getColumnSpan` in interface `Value`

### getType

    public Type getType()
                 throws MappingException

  Specified by:
    `getType` in interface `Value`
  Throws:
    `MappingException`

### getCollectionType

    public CollectionType getCollectionType()

### isNullable

    public boolean isNullable()

  Specified by:
    `isNullable` in interface `Value`

### isAlternateUniqueKey

    public boolean isAlternateUniqueKey()

  Specified by:
    `isAlternateUniqueKey` in interface `Value`

### getTable

    public Table getTable()

  Specified by:
    `getTable` in interface `Value`

### createForeignKey

    public void createForeignKey()

  Specified by:
    `createForeignKey` in interface `Value`

### isSimpleValue

    public boolean isSimpleValue()

  Specified by:
    `isSimpleValue` in interface `Value`

### isValid

    public boolean isValid(Mapping mapping)
                    throws MappingException

  Specified by:
    `isValid` in interface `Value`
  Throws:
    `MappingException`

### createAllKeys

    public void createAllKeys()
                       throws MappingException

  Throws:
    `MappingException`

### getCacheConcurrencyStrategy

    public String getCacheConcurrencyStrategy()

### setCacheConcurrencyStrategy

    public void setCacheConcurrencyStrategy(String cacheConcurrencyStrategy)

### setTypeUsingReflection

    public void setTypeUsingReflection(String className,
                                       String propertyName)

  Specified by:
    `setTypeUsingReflection` in interface `Value`

### getCacheRegionName

    public String getCacheRegionName()

### setCacheRegionName

    public void setCacheRegionName(String cacheRegionName)

### setCustomSQLInsert

    public void setCustomSQLInsert(String customSQLInsert,
                                   boolean callable,
                                   ExecuteUpdateResultCheckStyle checkStyle)

### getCustomSQLInsert

    public String getCustomSQLInsert()

### isCustomInsertCallable

    public boolean isCustomInsertCallable()

### getCustomSQLInsertCheckStyle

    public ExecuteUpdateResultCheckStyle getCustomSQLInsertCheckStyle()

### setCustomSQLUpdate

    public void setCustomSQLUpdate(String customSQLUpdate,
                                   boolean callable,
                                   ExecuteUpdateResultCheckStyle checkStyle)

### getCustomSQLUpdate

    public String getCustomSQLUpdate()

### isCustomUpdateCallable

    public boolean isCustomUpdateCallable()

### getCustomSQLUpdateCheckStyle

    public ExecuteUpdateResultCheckStyle getCustomSQLUpdateCheckStyle()

### setCustomSQLDelete

    public void setCustomSQLDelete(String customSQLDelete,
                                   boolean callable,
                                   ExecuteUpdateResultCheckStyle checkStyle)

### getCustomSQLDelete

    public String getCustomSQLDelete()

### isCustomDeleteCallable

    public boolean isCustomDeleteCallable()

### getCustomSQLDeleteCheckStyle

    public ExecuteUpdateResultCheckStyle getCustomSQLDeleteCheckStyle()

### setCustomSQLDeleteAll

    public void setCustomSQLDeleteAll(String customSQLDeleteAll,
                                      boolean callable,
                                      ExecuteUpdateResultCheckStyle checkStyle)

### getCustomSQLDeleteAll

    public String getCustomSQLDeleteAll()

### isCustomDeleteAllCallable

    public boolean isCustomDeleteAllCallable()

### getCustomSQLDeleteAllCheckStyle

    public ExecuteUpdateResultCheckStyle getCustomSQLDeleteAllCheckStyle()

### addFilter

    public void addFilter(String name,
                          String condition)

  Specified by:
    `addFilter` in interface `Filterable`

### getFilterMap

    public Map getFilterMap()

  Specified by:
    `getFilterMap` in interface `Filterable`

### addManyToManyFilter

    public void addManyToManyFilter(String name,
                                    String condition)

### getManyToManyFilterMap

    public Map getManyToManyFilterMap()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getSynchronizedTables

    public Set getSynchronizedTables()

### getLoaderName

    public String getLoaderName()

### setLoaderName

    public void setLoaderName(String name)

### getReferencedPropertyName

    public String getReferencedPropertyName()

### setReferencedPropertyName

    public void setReferencedPropertyName(String propertyRef)

### isOptimisticLocked

    public boolean isOptimisticLocked()

### setOptimisticLocked

    public void setOptimisticLocked(boolean optimisticLocked)

### isMap

    public boolean isMap()

### getTypeName

    public String getTypeName()

### setTypeName

    public void setTypeName(String typeName)

### getTypeParameters

    public Properties getTypeParameters()

### setTypeParameters

    public void setTypeParameters(Properties parameterMap)

### getColumnInsertability

    public boolean[] getColumnInsertability()

  Specified by:
    `getColumnInsertability` in interface `Value`

### getColumnUpdateability

    public boolean[] getColumnUpdateability()

  Specified by:
    `getColumnUpdateability` in interface `Value`

### getNodeName

    public String getNodeName()

### setNodeName

    public void setNodeName(String nodeName)

### getElementNodeName

    public String getElementNodeName()

### setElementNodeName

    public void setElementNodeName(String elementNodeName)

### isEmbedded

    public boolean isEmbedded()

### setEmbedded

    public void setEmbedded(boolean embedded)

### isSubselectLoadable

    public boolean isSubselectLoadable()

### setSubselectLoadable

    public void setSubselectLoadable(boolean subqueryLoadable)

### isMutable

    public boolean isMutable()

### setMutable

    public void setMutable(boolean mutable)

### isExtraLazy

    public boolean isExtraLazy()

### setExtraLazy

    public void setExtraLazy(boolean extraLazy)

### hasOrder

    public boolean hasOrder()

### setComparatorClassName

    public void setComparatorClassName(String comparatorClassName)

### getComparatorClassName

    public String getComparatorClassName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.